/***************************************************************************
 *   Copyright (C) 2006 by Julien Lemoine, Simon Viennot                   *
 *   lapinot@tuxfamily.org                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef WIDGETOPTIONS_H
#define WIDGETOPTIONS_H

#include "policesqt.h"
#include <QDialog>

class QGridLayout;
class QCheckBox;

class WidgetOptions : public QDialog, policesQt {
  Q_OBJECT
	
  public:
	WidgetOptions( QWidget* parent = 0);
	
	QGridLayout *layout;
	QCheckBox* cano1, * cano2, * cano3;
	QPushButton* pbOk, * pbDefaut;
	
  public slots:
	void modif_cano1(bool);
	void modif_cano2(bool);
	void modif_cano3(bool);
	void modif_cano_defaut();
};

#endif
